import jaggl.OpenGL;

public class Class103_Sub1 extends Class103 {

   int anInt8205;
   Class100_Sub2 aClass100_Sub2_8206;
   Class545_Sub2_Sub2 aClass545_Sub2_Sub2_8207;


   void method2104() {
      for(int var1 = 0; var1 < this.method2003(-896815816); ++var1) {
         ((Class100_Sub2)this.method2004(var1, -1083372877)).method10();
      }

      super.method2015();
   }

   Class100 method2006(Class545_Sub2 var1, Class84 var2) {
      return new Class100_Sub2((Class545_Sub2_Sub2)var1, this, var2);
   }

   public boolean method2007(Class100 var1) {
      if(this.aClass100_Sub2_8206 == var1) {
         return true;
      } else if(!var1.method1921()) {
         return false;
      } else {
         boolean var2 = this.method2039();
         this.aClass100_Sub2_8206 = (Class100_Sub2)var1;
         this.anInt1010 = this.method2051(var1, -555394296) * 831988383;
         if(this.anInt1010 * 273906015 == -1) {
            throw new IllegalArgumentException();
         } else {
            this.anInt8205 = this.aClass100_Sub2_8206.anInt8308;
            if(var2) {
               OpenGL.glUseProgram(this.anInt8205);
               this.aClass545_Sub2_Sub2_8207.aClass100_Sub2_10350 = this.aClass100_Sub2_8206;
            }

            return true;
         }
      }
   }

   Class100 method2043(Class545_Sub2 var1, Class84 var2) {
      return new Class100_Sub2((Class545_Sub2_Sub2)var1, this, var2);
   }

   public void method1997() {
      if(this.aClass545_Sub2_Sub2_8207.aClass100_Sub2_10350 != this.aClass100_Sub2_8206) {
         if(this.aClass100_Sub2_8206 == null) {
            throw new RuntimeException_Sub4();
         } else {
            OpenGL.glUseProgram(this.anInt8205);
            this.aClass545_Sub2_Sub2_8207.aClass100_Sub2_10350 = this.aClass100_Sub2_8206;
         }
      }
   }

   public void method1998() {}

   public boolean method2039() {
      return this.aClass545_Sub2_Sub2_8207.aClass100_Sub2_10350 == this.aClass100_Sub2_8206;
   }

   void method2015() {
      for(int var1 = 0; var1 < this.method2003(-1626168246); ++var1) {
         ((Class100_Sub2)this.method2004(var1, -1762368109)).method10();
      }

      super.method2015();
   }

   public void finalize() throws Throwable {
      this.method2015();
      super.finalize();
   }

   void method13162() throws Throwable {
      this.method2015();
      super.finalize();
   }

   void method13163() throws Throwable {
      this.method2015();
      super.finalize();
   }

   Class225_Sub36_Sub1 method2088(Class45 var1) {
      return new Class225_Sub36_Sub1_Sub2(this, var1);
   }

   public void method2037() {
      if(this.aClass545_Sub2_Sub2_8207.aClass100_Sub2_10350 != this.aClass100_Sub2_8206) {
         if(this.aClass100_Sub2_8206 == null) {
            throw new RuntimeException_Sub4();
         } else {
            OpenGL.glUseProgram(this.anInt8205);
            this.aClass545_Sub2_Sub2_8207.aClass100_Sub2_10350 = this.aClass100_Sub2_8206;
         }
      }
   }

   public boolean method2053(Class100 var1) {
      if(this.aClass100_Sub2_8206 == var1) {
         return true;
      } else if(!var1.method1921()) {
         return false;
      } else {
         boolean var2 = this.method2039();
         this.aClass100_Sub2_8206 = (Class100_Sub2)var1;
         this.anInt1010 = this.method2051(var1, 199549519) * 831988383;
         if(this.anInt1010 * 273906015 == -1) {
            throw new IllegalArgumentException();
         } else {
            this.anInt8205 = this.aClass100_Sub2_8206.anInt8308;
            if(var2) {
               OpenGL.glUseProgram(this.anInt8205);
               this.aClass545_Sub2_Sub2_8207.aClass100_Sub2_10350 = this.aClass100_Sub2_8206;
            }

            return true;
         }
      }
   }

   public boolean method2086() {
      return this.aClass545_Sub2_Sub2_8207.aClass100_Sub2_10350 == this.aClass100_Sub2_8206;
   }

   Class103_Sub1(Class545_Sub2_Sub2 var1, Class28 var2) {
      super(var1, var2);
      this.aClass545_Sub2_Sub2_8207 = var1;
   }

   void method13164() throws Throwable {
      this.method2015();
      super.finalize();
   }

   Class100 method1999(Class545_Sub2 var1, Class84 var2) {
      return new Class100_Sub2((Class545_Sub2_Sub2)var1, this, var2);
   }

   void method2045() {
      for(int var1 = 0; var1 < this.method2003(174523347); ++var1) {
         ((Class100_Sub2)this.method2004(var1, -1581692972)).method10();
      }

      super.method2015();
   }

   public boolean method2054(Class100 var1) {
      if(this.aClass100_Sub2_8206 == var1) {
         return true;
      } else if(!var1.method1921()) {
         return false;
      } else {
         boolean var2 = this.method2039();
         this.aClass100_Sub2_8206 = (Class100_Sub2)var1;
         this.anInt1010 = this.method2051(var1, 636223376) * 831988383;
         if(this.anInt1010 * 273906015 == -1) {
            throw new IllegalArgumentException();
         } else {
            this.anInt8205 = this.aClass100_Sub2_8206.anInt8308;
            if(var2) {
               OpenGL.glUseProgram(this.anInt8205);
               this.aClass545_Sub2_Sub2_8207.aClass100_Sub2_10350 = this.aClass100_Sub2_8206;
            }

            return true;
         }
      }
   }

   public void method2038() {}

   public boolean method2040() {
      return this.aClass545_Sub2_Sub2_8207.aClass100_Sub2_10350 == this.aClass100_Sub2_8206;
   }

   void method2103() {
      for(int var1 = 0; var1 < this.method2003(1144500300); ++var1) {
         ((Class100_Sub2)this.method2004(var1, -1117042409)).method10();
      }

      super.method2015();
   }

   Class225_Sub36_Sub1 method2010(Class45 var1) {
      return new Class225_Sub36_Sub1_Sub2(this, var1);
   }
}
